### Method

# Gtk TreeView scroll_to_cell

deprecated: 4.10

#### Declaration [src]

    void
    gtk_tree_view_scroll_to_cell (
      GtkTreeView* tree_view,
      GtkTreePath* path,
      GtkTreeViewColumn* column,
      gboolean use_align,
      float row_align,
      float col_align
    )

#### Description [src]

Moves the alignments of `tree_view` to the position specified by `column` and `path`. If `column` is `NULL`, then no horizontal scrolling occurs. Likewise, if `path` is `NULL` no vertical scrolling occurs. At a minimum, one of `column` or `path` need to be non-`NULL`. `row_align` determines where the row is placed, and `col_align` determines where `column` is placed. Both are expected to be between 0.0 and 1.0. 0.0 means left/top alignment, 1.0 means right/bottom alignment, 0.5 means center.

If `use_align` is `FALSE`, then the alignment arguments are ignored, and the tree does the minimum amount of work to scroll the cell onto the screen. This means that the cell will be scrolled to the edge closest to its current position. If the cell is currently visible on the screen, nothing is done.

This function only works if the model is set, and `path` is a valid row on the model. If the model changes before the `tree_view` is realized, the centered path will be modified to reflect this change.

Deprecated since: 4.10

Use `GtkListView` or `GtkColumnView` instead.

#### Parameters

`path`

  Type: `GtkTreePath`

  The path of the row to move to.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

`column`

  Type: `GtkTreeViewColumn`

  The `GtkTreeViewColumn` to move horizontally to.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

`use_align`

  Type: `gboolean`

  Whether to use alignment arguments, or `FALSE`.

`row_align`

  Type: `float`

  The vertical alignment of the row specified by `path`.

`col_align`

  Type: `float`

  The horizontal alignment of the column specified by `column`.